# Class ColumnQueryRowSequence

java.lang.Object
uk.ac.starlink.table.WrapperRowSequence
uk.ac.starlink.ttools.cone.ColumnQueryRowSequence

All Implemented Interfaces:
  `Closeable, AutoCloseable, uk.ac.starlink.table.RowData, uk.ac.starlink.table.RowSequence, ConeQueryRowSequence, uk.ac.starlink.util.Sequence`

public class ColumnQueryRowSequence extends uk.ac.starlink.table.WrapperRowSequence implements ConeQueryRowSequence
ConeQueryRowSequence implementation which extracts values based on supplied column indices.

Since:
  16 Oct 2007
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.table.WrapperRowSequence

`baseSeq`

## Constructor Summary

Constructors
Constructor
Description
`ColumnQueryRowSequence(uk.ac.starlink.table.StarTable table, int raCol, int decCol, int srCol)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static ConeQueryRowSequence`
`createFixedRadiusSequence(uk.ac.starlink.table.StarTable table, int raCol, int decCol, double sr)`
Utility method which constructs a ConeQueryRowSequence object using column indices for RA and Dec but a constant value for the search radius.
`double`
`getDec()`
Get central declination for the current row's cone search request in degrees.
`long`
`getIndex()`
Get the index in the underlying table to which the current row relates.
`double`
`getRa()`
Get central right ascension for the current row's cone search request in degrees.
`double`
`getRadius()`
Get search radius for the current row's cone search request in degrees.
`boolean`
`next()`

### Methods inherited from class uk.ac.starlink.table.WrapperRowSequence

`close, getCell, getRow, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.RowSequence

`close, getCell, getRow`

## Constructor Details

### ColumnQueryRowSequence

public ColumnQueryRowSequence(uk.ac.starlink.table.StarTable table, int raCol, int decCol, int srCol) throws IOException
Constructor.

Parameters:
  `table` - input table
  `raCol` - index of column giving right ascension in degrees
  `decCol` - index of column giving declination in degrees
  `srCol` - index of column giving search radius in degrees
Throws:
  `IOException`

## Method Details

### getRa

public double getRa() throws IOException
Description copied from interface: `ConeQueryRowSequence`
Get central right ascension for the current row's cone search request in degrees.

Specified by:
  `getRa` in interface `ConeQueryRowSequence`
Returns:
  right ascension
Throws:
  `IOException`

### getDec

public double getDec() throws IOException
Description copied from interface: `ConeQueryRowSequence`
Get central declination for the current row's cone search request in degrees.

Specified by:
  `getDec` in interface `ConeQueryRowSequence`
Returns:
  declination
Throws:
  `IOException`

### getRadius

public double getRadius() throws IOException
Description copied from interface: `ConeQueryRowSequence`
Get search radius for the current row's cone search request in degrees.

Specified by:
  `getRadius` in interface `ConeQueryRowSequence`
Returns:
  search radius
Throws:
  `IOException`

### getIndex

public long getIndex()
Description copied from interface: `ConeQueryRowSequence`
Get the index in the underlying table to which the current row relates. The identity of this underlying table is not specified by this interface, but must be understood by the creator and user of instances. In particular, the return value does not necessarily increment by one for each call to `next`.

Specified by:
  `getIndex` in interface `ConeQueryRowSequence`
Returns:
  row index

### next

public boolean next() throws IOException

Specified by:
  `next` in interface `uk.ac.starlink.table.RowSequence`
Specified by:
  `next` in interface `uk.ac.starlink.util.Sequence`
Overrides:
  `next` in class `uk.ac.starlink.table.WrapperRowSequence`
Throws:
  `IOException`

### createFixedRadiusSequence

public static ConeQueryRowSequence createFixedRadiusSequence(uk.ac.starlink.table.StarTable table, int raCol, int decCol, double sr) throws IOException
Utility method which constructs a ConeQueryRowSequence object using column indices for RA and Dec but a constant value for the search radius.

Parameters:
  `table` - input table
  `raCol` - index of column giving right ascension in degrees
  `decCol` - index of column giving declination in degrees
  `sr` - fixed search radius in degrees
Throws:
  `IOException`